Changeset 4dc93a1 in rtems-docs


Ignore:
Timestamp:
Feb 28, 2020, 11:16:26 PM (4 months ago)
Author:
Joel Sherrill <joel@…>
Branches:
5, master
Children:
87e49d4
Parents:
aceadb1
git-author:
Joel Sherrill <joel@…> (02/28/20 23:16:26)
git-committer:
Joel Sherrill <joel@…> (03/20/20 13:39:27)
Message:

user/hosts/posix.rst: Add CentOS 8 information

File:
1 edited

Legend:

Unmodified
Added
Removed
  • user/hosts/posix.rst

    raceadb1 r4dc93a1  
    7575~~~~~~
    7676
    77 The following packages are required on a minimal CentOS 6.3 64bit installation:
    78 
    79 .. code-block:: none
    80 
    81   # yum install autoconf automake binutils gcc gcc-c++ gdb make patch \
     77The following packages are required on a minimal CentOS 6.3 or Cent)S 7
     7864-bit installation:
     79
     80.. code-block:: none
     81
     82  # yum install autoconf automake binutils gcc gcc-c++ gdb make patch pax \
    8283  bison flex xz unzip ncurses-devel texinfo zlib-devel python-devel git
     84
     85On CentOS 8, the ``pax`` command is now provided by the ``spax`` package,
     86you need to enable the PowerTools repository. and use Python3.  On a
     87fresh install, the following commands should install everything you
     88need for RTEMS development:
     89
     90.. code-block:: none
     91
     92  # dnf install yum-utils
     93  # dnf config-manager --set-enabled PowerTools
     94  # dnf update
     95  # dnf groupinstall "Development Tools"
     96  # dnf install python3 python3-pip python3-setuptools python3-devel
     97  # dnf install texinfo spax
     98  # alternatives --set python /usr/bin/python3
    8399
    84100The minimal CentOS distribution is a specific DVD that installs a minimal
Note: See TracChangeset for help on using the changeset viewer.